URLResolver (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.extension.resolvers.URLResolver class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.extension.resolvers
Class URLResolver

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.extension.resolvers.URLResolver

All Implemented Interfaces:
  ExtensionResolver

public class URLResolver
extends java.lang.Object
implements ExtensionResolver

Resolver that just returns s specified location.

Version:
  $Revision: 1.2.2.2 $ $Date: 2003/02/10 14:25:09 $
Author:
  Peter Donald, Jeff Turner

Constructor Summary
`URLResolver()`

Method Summary
`java.io.File` | `resolve(Extension extension, Project project)` Attempt to locate File that satisfies extension via resolver.
`void` | `setDestdir(java.io.File destdir)`
`void` | `setDestfile(java.io.File destfile)`
`void` | `setUrl(java.net.URL url)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLResolver

    public URLResolver()

Method Detail

### setUrl

    public void setUrl(java.net.URL url)

### setDestfile

    public void setDestfile(java.io.File destfile)

### setDestdir

    public void setDestdir(java.io.File destdir)

### resolve

    public java.io.File resolve(Extension extension,
                                Project project)
                         throws BuildException

  Description copied from interface: `ExtensionResolver`
  Attempt to locate File that satisfies extension via resolver.

  Specified by:
    `resolve` in interface `ExtensionResolver`
  Parameters:
    `extension` - the extension
  Returns:
    the File satisfying extension, null if can not resolve extension
  Throws:
    `BuildException` - if error occurs attempting to resolve extension

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.